# mumble-bot-rs

A simple music bot that reads a FIFO to stream music to a Mumble server.

## Building

```
cargo build
```

## Usage
First, configure a music player (e.g. MPD) to write to a FIFO:

mpd.conf
```
audio_output {
    type        "fifo"
    name        "FIFO-1"
    path        "/tmp/mpd.fifo"
    format      "48000:16:2"
    mixer_type  "software"
}
```

Then start the bot:

```
./mumble-bot-rs --host example.com --fifo-path /tmp/mpd.fifo
```

For additional options:
```
./mumble-bot-rs --help
```

